Bug 103148 - image test failures
Summary: image test failures
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Stephen Chenney
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 08:33 PST by Robert Kroeger
Modified: 2014-01-20 20:10 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Kroeger 2012-11-23 08:33:12 PST
fast/frames/iframe-scaling-with-scroll.html  Mac10.7, Win7, Mac10.6, 10.8, XP
fast/frames/iframe-scrolling-attribute.html Mac10.7
fast/table/border-collapsing/004-vertical.html Mac10.7

are experiencing image diff flake / fail.

The timing suggests that this might be related to your Skia change
Comment 1 Robert Kroeger 2012-11-23 11:04:25 PST
fast/text/large-text-composed-char.html is having a similar image mismatct
Comment 2 Robert Kroeger 2012-11-23 11:10:24 PST
fast/text/text-letter-spacing.html similarly: the scrollbar is painted incorrectly on lion.
Comment 3 Robert Kroeger 2012-11-23 15:16:00 PST
text is line-spaced in SVG incorrectly in svg/batik/text/textPosition2.svg.

This might also be from the Skia change? (http://trac.webkit.org/log/?verbose=on&rev=135518&stop_rev=135516)
Comment 4 Robert Kroeger 2012-11-26 15:34:44 PST
fast/text/atsui-small-caps-punctuation-size.html as well: small difference in line spacing.
Comment 5 Stephen Chenney 2012-11-28 13:13:17 PST
fast/text/atsui-small-caps-punctuation-size.html seems to have rebaselined to the incorrect once-in-a-dozen flakey result. I will rebaseline again but it was and will continue to be flakey.

svg/batik/text/textPosition2.svg is indeed flakey. It does not seem to have always been that way, but I really don't see why the Skia change would cause it to become flakey.

fast/text/text-letter-spacing.html scroll bar flake is really really odd. Hard to see what's happening here.

fast/text/large-text-composed-char.html looks like the win images just need rebasing and the mac lion problem is the same as fast/text/text-letter-spacing.html

fast/table/border-collapsing/004-vertical.html same scroll bar flake.
fast/frames/iframe-scrolling-attribute.html same

fast/frames/iframe-scaling-with-scroll.html is almost but not quite the same scroll bar problem.

Rebaselines etc pending.
Comment 6 Stephen Chenney 2012-11-28 13:27:00 PST
Committed r136052: <http://trac.webkit.org/changeset/136052>
Comment 7 Alexey Proskuryakov 2014-01-20 20:10:42 PST
This was a Chromium only bug, closing.